﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MoveToBase : MonoBehaviour {

    private GameController controller;
    public Vector3 basePosition;
    float travelTime;
    private float startTime;
    public float movementSpeed = 5f;
    float maxSpeed = 1000f;

	// Use this for initialization
	void Start () {
        controller = GameObject.FindGameObjectWithTag("Controller").GetComponent<GameController>();
        //Debug.Log(controller.bases[0]);
        basePosition = controller.bases[0];
        basePosition.z = -0.3f;
        startTime = Time.time;
        Vector3 travelVector = transform.position - basePosition;
        Debug.Log(travelVector.magnitude);
        travelTime = travelVector.magnitude * movementSpeed;
    }
	
	// Update is called once per frame
	void Update () {
        transform.position = Vector3.Lerp(transform.position, basePosition, (Time.time - startTime)/travelTime);
	}
}
