﻿using UnityEngine;
using System.Collections;
using UnityEngine.Networking;

public class ToggleUIMenu : MonoBehaviour {

    public GameObject disableMe;
    public GameObject enableMe;

	public void toggle()
    {
        if (enableMe != null)
        {
            if (disableMe.activeInHierarchy)
            {
                disableMe.SetActive(false);
                enableMe.SetActive(true);
            }
            else
            {
                enableMe.SetActive(false);
                disableMe.SetActive(true);
            }
        }
        else
        {
            disableMe.SetActive(false);
            //Destroy(Camera.main);
            LaunchServer();
        }
    }

    public void LaunchServer()
    {
        Network.InitializeServer(4, 7777, false);
    }
}
