﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ZombieSpawner : MonoBehaviour {

    public float spawnTimer = 5f;
    public GameObject[] zombiePrefab = new GameObject[2];

    private float timeElapsed;

	// Use this for initialization
	void Start () {
        timeElapsed = 0;
	}
	
	// Update is called once per frame
	void Update () {
        timeElapsed += Time.deltaTime;
        if(timeElapsed >= spawnTimer)
        {
            int randomNum = Random.Range(0, zombiePrefab.Length);
            Debug.Log(zombiePrefab[0]);
            Instantiate(zombiePrefab[randomNum], new Vector3(transform.position.x, transform.position.y, -0.3f), Quaternion.identity);
            timeElapsed = 0;
        }
	}
}
